Package org.apache.sling.distribution.journal.kafka

## Class CLSwitch

- java.lang.Object
- - org.apache.sling.distribution.journal.kafka.CLSwitch

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

    public class CLSwitch
    extends Object
    implements Closeable

### Constructor Summary

Constructors
`CLSwitch​(ClassLoader classloader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLSwitch

    public CLSwitch​(ClassLoader classloader)

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`